MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001379VCMIMechanics - Otherpublic2013-07-22 21:462022-04-12 08:58
ReporterIvan 
Assigned ToAlexVinS 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target VersionFixed in Version0.95b 
Summary0001379: Tome of Air Magic gives Titan Thunder
DescriptionIt should not.

IMO proper solution would be to add extra flag(s) to spell structure:
"special" - similar to creatures/heroes. Marks object as normally unavailable.
"ability" - this is creature ability and should not be (normally) available to heroes.

Same flag can be given to all creature abilities that are also spells like Aging
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001551closedAlexVinS Titan's lightning bolt 

-  Notes
(0004580)
AlexVinS (developer)
2014-03-07 16:12

Implemented in r3801

- Issue History
Date Modified Username Field Change
2013-07-22 21:46 Ivan New Issue
2013-12-29 18:47 Warmonger Relationship added has duplicate 0001551
2014-03-07 13:42 AlexVinS Assigned To => AlexVinS
2014-03-07 13:42 AlexVinS Status new => assigned
2014-03-07 16:12 AlexVinS Note Added: 0004580
2014-03-07 16:12 AlexVinS Status assigned => resolved
2014-03-07 16:12 AlexVinS Fixed in Version => 0.dev
2014-03-07 16:12 AlexVinS Resolution open => fixed
2014-03-08 17:23 Warmonger Status resolved => new
2014-03-08 17:23 Warmonger Status new => resolved
2014-03-08 17:23 Warmonger Fixed in Version 0.dev => 0.95b
2022-04-12 08:58 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean